List merchant subscribers
curl --request GET \
--url https://api.mysoleas.com/billing/subscribers \
--header 'x-sp-auth-token: <api-key>'import requests
url = "https://api.mysoleas.com/billing/subscribers"
headers = {"x-sp-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-sp-auth-token': '<api-key>'}};
fetch('https://api.mysoleas.com/billing/subscribers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"success": true,
"locale": "fr",
"message": "<string>",
"meta": {},
"data": [
{
"subscription_reference": "<string>",
"subscribed_at": "<string>",
"customer_email": "<string>",
"customer_phone": "<string>",
"amount": 123,
"currency": "<string>",
"description": "<string>",
"status": "<string>",
"next_payment_at": "<string>"
}
]
}Subscriptions
Subscribers
GET
/
billing
/
subscribers
List merchant subscribers
Authorizations
JWT Bearer emis par Mysoleas Identity Cloud. Format: Bearer <access_token>.
Query Parameters
Available options:
ACTIVE, SUSPENDED, CANCELLED, EXPIRED Required range:
x >= 1Required range:
1 <= x <= 100⌘I
